Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.closebot.com/agency/source \ --header 'Content-Type: application/json' \ --header 'X-CB-KEY: <api-key>' \ --data ' { "name": "<string>", "category": "<string>", "key": "<string>", "accessToken": "<string>", "refreshToken": "<string>", "expiresIn": 123, "autoShutoff": true, "gracefulGoodbye": true, "summarizeAttachments": true, "webhookCallback": "<string>" } '
{ "agencyId": "<string>", "sourceId": "<string>", "name": "<string>", "category": "<string>", "key": "<string>", "accessToken": "<string>", "address": "<string>", "connected": true, "autoShutoff": true, "gracefulGoodbye": true, "bots": [ { "id": "<string>", "botName": "<string>", "tags": [ { "name": "<string>", "approveDeny": true, "id": "<string>" } ], "tagFilterConfig": { "operator": "<string>", "groups": [ { "operator": "<string>", "rules": [ { "tagName": "<string>", "tagId": "<string>", "condition": "<string>" } ] } ] }, "channels": [ "<string>" ], "personaNameOverride": "<string>", "enabled": true } ], "accountsWithAccess": [ "<string>" ], "isAvailabilityContactTimezone": true, "respondWindows": [ { "dayOfWeekUtc": "<string>", "startTimeUtc": "<string>", "duration": "<string>" } ], "doNotRespondWindows": [ { "start": "2023-11-07T05:31:56Z", "end": "2023-11-07T05:31:56Z" } ], "botRespondWindows": [ { "dayOfWeekUtc": "<string>", "startTimeUtc": "<string>", "duration": "<string>", "channel": "<string>" } ], "isBotRespondWindowsQuietHours": true, "summarizeAttachments": true, "respondToReactions": true, "markConversationAsUnread": true, "webhookCallback": "<string>", "scriptInstalled": true, "scriptLastSeenAt": "2023-11-07T05:31:56Z", "scriptLastSeenDomain": "<string>", "scriptLastSeenEndpoint": "<string>", "scriptDomainAllowList": [ "<string>" ], "wallet": { "reBilling": true, "autoRefill": true, "topUpAmount": 123, "refillThreshold": 123, "stripeCustomerId": "<string>", "currency": "<string>", "responseUnitCostOverride": "<string>", "storageUnitCostOverride": "<string>", "userUnitCostOverride": "<string>" }, "hubSpotOwnerId": "<string>" }
CloseBot API Key Authorization
Source information.
Success
Show child attributes